import { Button, Popover, Textarea } from '@showroomjs/ui';
import * as React from 'react';
import { Div } from './base';
export const StandaloneCodeLiveEditorCommentPopover = React.forwardRef(function StandaloneCodeLiveEditorCommentPopover(props, forwardedRef) {
    const [comment, setComment] = React.useState('');
    return (React.createElement(Popover, { open: props.open, onOpenChange: props.onOpenChange },
        React.createElement(Popover.Anchor, { asChild: true }, props.children),
        React.createElement(Popover.Content, { sideOffset: 5, css: {
                pointerEvents: 'auto',
            }, onClick: (ev) => ev.stopPropagation() },
            React.createElement("form", { onSubmit: (ev) => {
                    ev.preventDefault();
                    props.onAdd(comment);
                } },
                React.createElement(Textarea, { placeholder: "Add a comment", value: comment, onChange: (ev) => setComment(ev.target.value), required: true, ref: forwardedRef }),
                React.createElement(Div, { css: {
                        display: 'flex',
                        justifyContent: 'end',
                        gap: '$3',
                        paddingTop: '$2',
                    } },
                    React.createElement(Popover.RawClose, { asChild: true },
                        React.createElement(Button, { variant: "outline" }, "Cancel")),
                    React.createElement(Button, { variant: "primary", type: "submit", disabled: comment.length === 0 }, "Post"))),
            React.createElement(Popover.Arrow, null))));
});
//# sourceMappingURL=standalone-code-live-editor-comment-popover.js.map