var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { styled } from '@showroomjs/ui';
import * as React from 'react';
import { XIcon } from '@heroicons/react/outline';
const CommentListImpl = styled('ul', {
    display: 'grid',
    gap: '$3',
    padding: '$3',
    gridTemplateColumns: 'repeat(auto-fill, minmax(300px, 1fr))',
});
function CommentItemImpl(_a) {
    var { children, onDismiss } = _a, props = __rest(_a, ["children", "onDismiss"]);
    return (React.createElement("li", Object.assign({}, props),
        React.createElement(DismissButton, { onClick: onDismiss, type: "button" },
            React.createElement(DismissIcon, { width: 20, height: 20 })),
        children));
}
const DismissIcon = styled(XIcon, {
    width: 20,
    height: 20,
    color: '$gray-400',
});
const DismissButton = styled('button', {
    position: 'absolute',
    top: '$1',
    right: '$1',
});
const CommentItem = styled(CommentItemImpl, {
    px: '$6',
    py: '$3',
    cursor: 'pointer',
    backgroundColor: 'White',
    fontSize: '$sm',
    lineHeight: '$sm',
    position: 'relative',
    whiteSpace: 'pre-wrap',
    variants: {
        active: {
            true: {
                backgroundColor: '$yellow-200',
                shadow: 'lg',
            },
        },
    },
});
export const CommentList = Object.assign(CommentListImpl, {
    Item: CommentItem,
});
//# sourceMappingURL=standalone-code-live-editor-comment.js.map