import { ShareIcon } from '@heroicons/react/outline';
import { CheckCircleIcon } from '@heroicons/react/solid';
import { CopyButton, css, styled, TextTooltip, useNotification, } from '@showroomjs/ui';
import * as React from 'react';
export const StandaloneCodeLiveEditorCopyButton = (props) => {
    const showMsg = useNotification();
    return (React.createElement(TextTooltip, { label: "Share View" },
        React.createElement(CopyButton, Object.assign({}, props, { className: btn(), onCopy: () => showMsg('URL copied'), label: React.createElement(StyledShareIcon, { width: 20, height: 20 }), successLabel: React.createElement(React.Fragment, null,
                React.createElement(MiniCheckIcon, { width: 20, height: 20 })) }))));
};
const StyledShareIcon = styled(ShareIcon, {
    width: 20,
    height: 20,
    color: '$gray-400',
});
const MiniCheckIcon = styled(CheckCircleIcon, {
    width: 20,
    height: 20,
    color: '$green-400',
});
export const BtnText = styled('span', {
    srOnly: true,
    '@sm': {
        srOnly: false,
    },
});
const btn = css({
    minWidth: 36,
    height: 36,
    px: 6,
    display: 'inline-flex',
    alignItems: 'center',
    justifyContent: 'center',
    gap: 3,
    position: 'relative',
});
//# sourceMappingURL=standalone-code-live-editor-copy-button.js.map