import * as React from 'react';
import { ComponentDataProvider } from '../components/component-data-provider';
import { ComponentDocArticle } from '../components/component-doc-article';
import { ComponentDocStandaloneEditor } from '../components/component-doc-standalone-editor';
import { DetailsPageContainer } from '../components/details-page-container';
import { Seo } from '../components/seo';
import { StandalonePageContainer } from '../components/standalone-page-container';
import { EXAMPLE_DIMENSIONS, showDeviceFrame } from '../lib/config';
import { Route, Routes } from '../lib/routing';
export const ComponentDocRoute = ({ section, content, }) => {
    const metadata = section.metadata;
    return (React.createElement(ComponentDataProvider, { content: content, metadata: metadata },
        React.createElement(Routes, null,
            React.createElement(Route, { path: "_standalone/:codeHash", element: React.createElement(StandalonePageContainer, null,
                    React.createElement(Seo, { title: metadata.displayName, description: metadata.description }),
                    React.createElement(ComponentDocStandaloneEditor, { showDeviceFrame: showDeviceFrame, codeFrameDimensions: EXAMPLE_DIMENSIONS })) }),
            React.createElement(Route, { path: "/", element: React.createElement(DetailsPageContainer, { title: metadata.displayName, description: metadata.description },
                    React.createElement(ComponentDocArticle, { slug: section.slug, metadata: metadata, content: content })) }))));
};
//# sourceMappingURL=component-doc-route.js.map