"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHash = void 0;
const tslib_1 = require("tslib");
const crypto = tslib_1.__importStar(require("crypto"));
const cache = new Map();
const createHash = (value) => {
    const cachedValue = cache.get(value);
    if (cachedValue) {
        return cachedValue;
    }
    const result = crypto.createHash('md5').update(value).digest('hex');
    cache.set(value, result);
    return result;
};
exports.createHash = createHash;
//# sourceMappingURL=create-hash.js.map