"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHeadings = void 0;
const tslib_1 = require("tslib");
const mdast_util_to_string_1 = tslib_1.__importDefault(require("mdast-util-to-string"));
const github_slugger_1 = tslib_1.__importDefault(require("github-slugger"));
const slugger = new github_slugger_1.default();
const visit = require('unist-util-visit');
function getHeadings(tree, minLevel) {
    slugger.reset();
    const result = [];
    collectHeadings(tree, result, minLevel);
    return result;
}
exports.getHeadings = getHeadings;
function collectHeadings(node, result, minLevel) {
    visit(node, 'heading', (node) => {
        if (node.depth >= minLevel) {
            const text = (0, mdast_util_to_string_1.default)(node);
            result.push({
                text,
                slug: slugger.slug(text),
            });
        }
    });
}
//# sourceMappingURL=get-headings.js.map