"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.outputSSrBundle = void 0;
const tslib_1 = require("tslib");
const webpack_1 = tslib_1.__importDefault(require("webpack"));
const create_webpack_config_1 = require("../config/create-webpack-config");
async function outputSSrBundle(config, tmpDir, profile = false, measure = false) {
    const webpackConfig = (0, create_webpack_config_1.createSsrWebpackConfig)('production', config, {
        outDir: tmpDir,
        profileWebpack: profile,
        measure,
    });
    const compiler = (0, webpack_1.default)(webpackConfig);
    await new Promise((fulfill, reject) => {
        compiler.run((err, stats) => {
            if (err || stats?.hasErrors()) {
                if (err) {
                    console.error(err);
                }
                compiler.close(() => {
                    console.error('Fix the error and try again.');
                });
                reject(err || new Error(stats?.toString()));
            }
            compiler.close(() => {
                fulfill();
            });
        });
    });
}
exports.outputSSrBundle = outputSSrBundle;
//# sourceMappingURL=output-ssr-bundle.js.map