"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paths = exports.resolveShowroom = exports.resolveApp = exports.moduleFileExtensions = void 0;
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const fs = tslib_1.__importStar(require("fs"));
exports.moduleFileExtensions = [
    'web.mjs',
    'mjs',
    'web.js',
    'js',
    'web.ts',
    'ts',
    'web.tsx',
    'tsx',
    'json',
    'web.jsx',
    'jsx',
];
const appDirectory = fs.realpathSync(process.cwd());
const showroomDirectory = path.resolve(__dirname, '../..');
const resolveApp = (relativePath) => path.resolve(appDirectory, relativePath);
exports.resolveApp = resolveApp;
const resolveShowroom = (relativePath) => path.resolve(showroomDirectory, relativePath);
exports.resolveShowroom = resolveShowroom;
exports.paths = {
    appPath: (0, exports.resolveApp)('.'),
    appShowroomConfig: (0, exports.resolveApp)('react-showroom.config.js'),
    appTsConfig: (0, exports.resolveApp)('tsconfig.json'),
    appPackageJson: (0, exports.resolveApp)('package.json'),
    appPostcssConfig: (0, exports.resolveApp)('postcss.config.js'),
    showroomPath: (0, exports.resolveShowroom)('.'),
};
//# sourceMappingURL=paths.js.map