"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@showroomjs/core");
const get_client_import_map_1 = require("../lib/get-client-import-map");
const showroomRemarkCodeblocksImportsLoader = function (_, __, meta) {
    if (!meta) {
        throw new Error(`showroom-remark-codeblocks-imports-loader must be piped after showroom-remark-codeblocks-loader`);
    }
    const processed = meta;
    const { imports } = this.getOptions();
    const result = imports ? imports.slice() : [];
    Object.keys(processed).forEach((sourceCodeSnippet) => {
        const compiled = processed[sourceCodeSnippet];
        if (compiled) {
            const { importedPackages } = compiled;
            for (const pkgName of importedPackages) {
                if (!result.some((importConfig) => (0, core_1.isString)(importConfig)
                    ? importConfig === pkgName
                    : importConfig.name === pkgName)) {
                    result.push(pkgName);
                }
            }
        }
    });
    return (0, get_client_import_map_1.getImportsAttach)(result);
};
module.exports = showroomRemarkCodeblocksImportsLoader;
//# sourceMappingURL=showroom-remark-codeblocks-imports-loader.js.map