"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const remark_parse_1 = tslib_1.__importDefault(require("remark-parse"));
const remark_frontmatter_1 = tslib_1.__importDefault(require("remark-frontmatter"));
const unified_1 = tslib_1.__importDefault(require("unified"));
const vfile_1 = tslib_1.__importDefault(require("vfile"));
const get_headings_1 = require("../lib/get-headings");
const parser = (0, unified_1.default)().use(remark_parse_1.default).use(remark_frontmatter_1.default);
const showroomRemarkHeadingsLoader = function (mdSource) {
    const tree = parser.parse((0, vfile_1.default)(mdSource));
    const headings = (0, get_headings_1.getHeadings)(tree, 2);
    return `export default [${headings
        .map((h) => `{ text: '${h.text}', slug: '${h.slug}' }`)
        .join(',')}]`;
};
module.exports = showroomRemarkHeadingsLoader;
//# sourceMappingURL=showroom-remark-headings-loader.js.map